#NeoPeewee Pygame Engine (January 4, 2020)

import pygame

#Import Global Memory
from Scripts import Global

class TemplateClass:
    def __init__(this):
        #Main Variables
        this.state = 0
        this.doControls = 1
        this.doGraphics = 1
        this.alarm = [0]
        #Class Variables

    #Main Control Method
    def Control(this, leftpress, rightpress, uppress, downpress, zpress, xpress):
        #Manage Alarms
        for i in range(len(this.alarm)):
            if this.alarm[i] > 0:
                this.alarm[i] -= 1
                if this.alarm[i] == 0:
                    if i == 0:
                        pass

        #Do Controls
        if this.doControls == 1:
            pass

        #Do Graphics
        if this.doGraphics == 1:
            pass
            
